Chat
Update chat session
Update name and/or lastModelId for a platform session. At least one field is required.
PATCH
https://ageneral.ai
/
v1
/
chat
/
sessions
/
{id}
Update chat session
curl --request PATCH \
--url https://ageneral.ai/v1/chat/sessions/{id} \
--header 'Ageneral-Project-Id: <ageneral-project-id>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"lastModelId": "<string>"
}
'import requests
url = "https://ageneral.ai/v1/chat/sessions/{id}"
payload = {
"name": "<string>",
"lastModelId": "<string>"
}
headers = {
"Ageneral-Project-Id": "<ageneral-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Ageneral-Project-Id': '<ageneral-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', lastModelId: '<string>'})
};
fetch('https://ageneral.ai/v1/chat/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}Authorizations
Session JWT from Ageneral sign-in. Send as Authorization: Bearer <token>.
Headers
Project id. You must be a member with access.
Path Parameters
Chat session id.
Body
application/json
Response
Success.
Example:
true
⌘I
Update chat session
